> For the complete documentation index, see [llms.txt](https://docs.snomed.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.snomed.org/implementation-guides/ncpt-implementation-guide/5-information-models-and-terminology-binding/5.4-hl7-fhir-and-ncpt/5.4.1-fhir-resources-for-nutrition-assessment-and-reassessment.md).

# FHIR Resources for Nutrition Assessment and Reassessment

> Nutrition Assessment involves collecting and analyzing data to identify nutrition-related issues.

## Nutrition Assessment Data and Associated FHIR Resources

Several FHIR resources can represent different aspects of the assessment:

| Types of data collected                         | Purpose                                                  | Example                       | FHIR Resource                                                         |
| ----------------------------------------------- | -------------------------------------------------------- | ----------------------------- | --------------------------------------------------------------------- |
| Food- and nutrition-related history             | Capture dietary habits and intake information            | Food diary entries            | **Observation NutritionOrderNutritionProduct\*\*\*\*NutritionIntake** |
| Anthropometric measurements                     | Record physical measurements such as weight, height, BMI | Weight: 70 kg, Height: 170 cm | **Observation**                                                       |
| Tests                                           | Document laboratory or diagnostic tests                  | Blood glucose levels          | **Observation**                                                       |
| Test results                                    | Record results of tests                                  | Hemoglobin A1c: 5.5%          | **Observation**                                                       |
| Nutrition-focused physical examination findings | Detailed findings from a nutrition-focused physical exam | Skin condition, hair texture  | **Observation\*\*\*\*Condition**                                      |
| Patient history                                 | Capture medical history                                  | Chronic conditions, surgeries | **Observation**                                                       |

## Example

{% code overflow="wrap" %}

```json
Nutrition Assessment
[code]
{
"resourceType": "Observation",
"id": "observation-weight",
"status": "final",
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/observation-category",
"code": "vital-signs",
"display": "Vital Signs"
}
]
}
],
"code": {
"coding": [
{
"system": "http://snomed.info/sct",
"code": "27113001",
"display": "Body weight (observable entity)"
}
],
"text": "Body Weight"
},
"subject": {
"reference": "Patient/example"
},
"valueQuantity": {
"value": 70,
"unit": "kg",
"system": "http://unitsofmeasure.org",
"code": "kg"
}
}
[/code]
```

{% endcode %}

<a href="https://docs.google.com/forms/d/e/1FAIpQLScTmbZIf0UEQwYDkY27EEWBkaiYkHSbR0_9DmFrMLXoQLyL7Q/viewform?usp=pp_url&#x26;entry.1767247133=NCPT+IG&#x26;entry.670899847=FHIR%20Resources%20for%20Nutrition%20Assessment%20and%20Reassessment" class="button primary">Provide Feedback</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.snomed.org/implementation-guides/ncpt-implementation-guide/5-information-models-and-terminology-binding/5.4-hl7-fhir-and-ncpt/5.4.1-fhir-resources-for-nutrition-assessment-and-reassessment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
